package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc项目对象 cmc_project
 *
 * @author cmc
 * @date 2024-02-28
 */
public class CmcProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id */
    private Integer projectId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String projectNumber;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String projectLeader;

    /** 项目负责人名字 */
    @Excel(name = "项目负责人名字")
    private String projectLeaderName;

    /** 项目状态（0进行中、1已结束） */
    @Excel(name = "项目状态", readConverterExp = "0=进行中、1=已结束")
    private String isFinished;

    /** 项目来源（0院内、1院外） */
    @Excel(name = "项目来源", readConverterExp = "0=院内、1=院外")
    private String projectSource;

    /** 甲方单位 */
    @Excel(name = "甲方单位")
    private String partyA;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String telephone;

    /** 合同编码 */
    @Excel(name = "合同编码")
    private String contractId;

    /** 项目类型 */
    @Excel(name = "项目类型")
    private String projectType;

    /** 项目级别（0一般项目、1重大项目） */
    @Excel(name = "项目级别", readConverterExp = "0=一般项目、1=重大项目")
    private String projectLevel;

    /** 项目登记人 */
    @Excel(name = "项目登记人")
    private String projectRegistrant;

    /** 承担部门 */
    @Excel(name = "承担部门")
    private String undertakingDept;

    public void setProjectId(Integer projectId)
    {
        this.projectId = projectId;
    }

    public Integer getProjectId()
    {
        return projectId;
    }
    public void setProjectNumber(String projectNumber)
    {
        this.projectNumber = projectNumber;
    }

    public String getProjectNumber()
    {
        return projectNumber;
    }
    public void setProjectName(String projectName)
    {
        this.projectName = projectName;
    }

    public String getProjectName()
    {
        return projectName;
    }
    public void setProjectLeader(String projectLeader)
    {
        this.projectLeader = projectLeader;
    }

    public String getProjectLeader()
    {
        return projectLeader;
    }
    public void setProjectLeaderName(String projectLeaderName)
    {
        this.projectLeaderName = projectLeaderName;
    }

    public String getProjectLeaderName()
    {
        return projectLeaderName;
    }
    public void setIsFinished(String isFinished)
    {
        this.isFinished = isFinished;
    }

    public String getIsFinished()
    {
        return isFinished;
    }
    public void setProjectSource(String projectSource)
    {
        this.projectSource = projectSource;
    }

    public String getProjectSource()
    {
        return projectSource;
    }
    public void setPartyA(String partyA)
    {
        this.partyA = partyA;
    }

    public String getPartyA()
    {
        return partyA;
    }
    public void setContactPerson(String contactPerson)
    {
        this.contactPerson = contactPerson;
    }

    public String getContactPerson()
    {
        return contactPerson;
    }
    public void setTelephone(String telephone)
    {
        this.telephone = telephone;
    }

    public String getTelephone()
    {
        return telephone;
    }
    public void setContractId(String contractId)
{
    this.contractId = contractId;
}

    public String getContractId()
    {
        return contractId;
    }

    public void setProjectType(String projectType)
    {
        this.projectType = projectType;
    }

    public String getProjectType()
    {
        return projectType;
    }
    public void setProjectLevel(String projectLevel)
    {
        this.projectLevel = projectLevel;
    }

    public String getProjectLevel()
    {
        return projectLevel;
    }
    public void setProjectRegistrant(String projectRegistrant)
    {
        this.projectRegistrant = projectRegistrant;
    }

    public String getProjectRegistrant()
    {
        return projectRegistrant;
    }
    public void setUndertakingDept(String undertakingDept)
    {
        this.undertakingDept = undertakingDept;
    }

    public String getUndertakingDept()
    {
        return undertakingDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("projectId", getProjectId())
                .append("projectNumber", getProjectNumber())
                .append("projectName", getProjectName())
                .append("projectLeader", getProjectLeader())
                .append("isFinished", getIsFinished())
                .append("projectSource", getProjectSource())
                .append("partyA", getPartyA())
                .append("contactPerson", getContactPerson())
                .append("telephone", getTelephone())
                .append("contractId", getContractId())
                .append("projectType", getProjectType())
                .append("projectLevel", getProjectLevel())
                .append("projectRegistrant", getProjectRegistrant())
                .append("undertakingDept", getUndertakingDept())
                .toString();
    }
}
